﻿<%@ Page Title="" Language="C#" MasterPageFile="~/WebsiteMasterPage.master" AutoEventWireup="true" CodeFile="admin_HRChart.aspx.cs" Inherits="admin_module_admin_HRChart" %>

<asp:Content ID="Content1" ContentPlaceHolderID="headlink" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="hihead" runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="himenu" runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="higlobal" runat="Server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="hislider" runat="Server">
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="hibelowtop" runat="Server">
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="hibodyhead" runat="Server">
</asp:Content>
<asp:Content ID="Content8" ContentPlaceHolderID="hibodywrapper" runat="Server">
    <div class="content">
        <!-- Animated -->
        <div class="animated fadeIn">
            <!-- Widgets  -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body d-flex align-items-center">
                            <h4 class="box-title mr-3">Quản lí nhân sự</h4>

                        </div>
                        <div class="card-body">
                            <!-- Styles -->
                            <style>
                                #chartdiv, #chartTron, #chartdiv2 {
                                    width: 100%;
                                    height: 500px;
                                }
                            </style>
                            <div class="mb-5">
                                <div id="chartTron"></div>
                            </div>

                            <div id="chartdiv"></div>
                            <div class="mb-5">
                                <div id="chartdiv2"></div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content9" ContentPlaceHolderID="hibodybottom" runat="Server">
</asp:Content>
<asp:Content ID="Content10" ContentPlaceHolderID="hibelowbottom" runat="Server">
</asp:Content>
<asp:Content ID="Content11" ContentPlaceHolderID="hifooter" runat="Server">
    <script type="text/javascript" src="/admin_js/amchart/core.js"></script>
    <script type="text/javascript" src="/admin_js/amchart/charts.js"></script>
    <script type="text/javascript" src="/admin_js/amchart/animated.js"></script>
    <!-- Chart code -->
    <script>
        jQuery(document).ready(function ($) {
            loadallChart(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());

            $('#sltrungtam').change(function () {
                loadallChart(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
            })

            $('#_listcoso').change(function () {
                loadallChart(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
            })
        });

        function loadallChart(_idtrungtam, _idbranch) {
            am4core.ready(function () {
                jQuery(document).ready(function ($) {
                    var url = _apiLink + "/expenses/totals";
                    if (rolesinfologin == "admin") {
                        if (_idtrungtam != "0" && _idtrungtam != null && _idtrungtam != "") {
                            url = url + "?orgID=" + _idtrungtam;
                            if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                                url = url + "&branch=" + _idbranch;
                            if (_idtrungtam == "adminbeekid")
                                url = _apiLink + "/expenses/totals?adminOwner=true";
                        }
                    } else {
                        if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                            url = url + "?branch=" + _idbranch;
                    }
                    jQuery.ajax({
                        type: "GET",
                        url: url,
                        headers: { 'Authorization': 'Bearer ' + tokenlogin },
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            // Themes begin
                            am4core.useTheme(am4themes_animated);
                            // Themes end
                            // Create chart instance
                            var chartdiv2 = am4core.create("chartdiv2", am4charts.XYChart);

                            var chartData = {
                                chartDetail: []
                            };

                            for (i = 0; i < 12; i++) {
                                chartData.chartDetail.push({
                                    "country": "Tháng " + parseInt(i + 1),
                                    "thucte": data.data.actual[i],
                                    "kehoach": data.data.plan[i],
                                });
                            }

                            chartdiv2.data = chartData.chartDetail;
                            // Create axes
                            var categoryAxis = chartdiv2.xAxes.push(new am4charts.CategoryAxis());
                            categoryAxis.dataFields.category = "country";
                            categoryAxis.renderer.grid.template.location = 0;
                            categoryAxis.renderer.minGridDistance = 30;

                            var valueAxis = chartdiv2.yAxes.push(new am4charts.ValueAxis());
                            valueAxis.title.text = "Chi phí";
                            valueAxis.title.fontWeight = 800;

                            // Create series
                            var div2series = chartdiv2.series.push(new am4charts.ColumnSeries());
                            div2series.dataFields.valueY = "thucte";
                            div2series.dataFields.categoryX = "country";
                            div2series.clustered = false;
                            div2series.tooltipText = "Nhân sự thực tế {categoryX}: [bold]{valueY}[/]";

                            var div2series2 = chartdiv2.series.push(new am4charts.ColumnSeries());
                            div2series2.dataFields.valueY = "kehoach";
                            div2series2.dataFields.categoryX = "country";
                            div2series2.clustered = false;
                            div2series2.columns.template.width = am4core.percent(50);
                            div2series2.tooltipText = "Nhân sự kế hoạch {categoryX} : [bold]{valueY}[/]";

                            chartdiv2.cursor = new am4charts.XYCursor();
                            chartdiv2.cursor.lineX.disabled = true;
                            chartdiv2.cursor.lineY.disabled = true;
                        },
                        error: function (xhr, status, error) {
                            errShow(xhr);
                        }
                    });

                    var url = _apiLink + "/employees/stats/current_count";
                    if (rolesinfologin == "admin") {
                        if (_idtrungtam != "0" && _idtrungtam != null && _idtrungtam != "") {
                            url = url + "?orgID=" + _idtrungtam;
                            if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                                url = url + "&branch=" + _idbranch;
                            if (_idtrungtam == "adminbeekid")
                                url = _apiLink + "/employees/stats/current_count?adminOwner=true";
                        }
                    } else {
                        if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                            url = url + "?branch=" + _idbranch;
                    }
                    jQuery.ajax({
                        type: "GET",
                        url: url,
                        headers: { 'Authorization': 'Bearer ' + tokenlogin },
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            var chartTron = am4core.create("chartTron", am4charts.PieChart);
                            chartTron.hiddenState.properties.opacity = 0; // this creates initial fade-in

                            var chartData = {
                                chartDetail: []
                            };
                            jQuery.each(data.data, function (i, item) {
                                chartData.chartDetail.push({
                                    "country": item.name,
                                    "litres": item.count,
                                });
                            });
                            chartTron.data = chartData.chartDetail;

                            var series = chartTron.series.push(new am4charts.PieSeries());
                            series.dataFields.value = "litres";
                            series.dataFields.category = "country";
                            series.slices.template.stroke = am4core.color("#fff");
                            series.slices.template.strokeOpacity = 1;

                            // This creates initial animation
                            series.hiddenState.properties.opacity = 1;
                            series.hiddenState.properties.endAngle = -90;
                            series.hiddenState.properties.startAngle = -90;
                            series.legendSettings.valueText = "{litres.close}";
                            series.legendSettings.itemValueText = "{litres}";
                            chartTron.legend = new am4charts.Legend();
                        },
                        error: function (xhr, status, error) {
                            errShow(xhr);
                        }
                    });

                    // Create chart instance
                    var url = _apiLink + "/employees/stats/year_count";
                    if (rolesinfologin == "admin") {
                        if (_idtrungtam != "0" && _idtrungtam != null && _idtrungtam != "") {
                            url = url + "?orgID=" + _idtrungtam;
                            if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                                url = url + "&branch=" + _idbranch;
                            if (_idtrungtam == "adminbeekid")
                                url = _apiLink + "/employees/stats/year_count?adminOwner=true";
                        }
                    } else {
                        if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                            url = url + "?branch=" + _idbranch;
                    }
                    jQuery.ajax({
                        type: "GET",
                        url: url,
                        headers: { 'Authorization': 'Bearer ' + tokenlogin },
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            var chart = am4core.create("chartdiv", am4charts.XYChart);
                            var chartData = {
                                chartDetail: []
                            };

                            for (j = 0; j < 12; j++) {
                                var info = {};
                                info.month = "Tháng " + parseInt(j + 1);
                                jQuery.each(data.data, function (i, item) {
                                    var propertyName = "nghenghiep" + parseInt(i + 1);
                                    info[propertyName] = item.count[j];
                                });
                                chartData.chartDetail.push(info);
                            }

                            chart.data = chartData.chartDetail;
                            var categoryAxis = chart.xAxes.push(new am4charts.CategoryAxis());
                            categoryAxis.dataFields.category = "month";
                            categoryAxis.renderer.opposite = true;

                            // Create value axis
                            var valueAxis = chart.yAxes.push(new am4charts.ValueAxis());
                            valueAxis.renderer.inversed = true;
                            valueAxis.title.text = "Số lượng";
                            valueAxis.renderer.minLabelPosition = 0.01;

                            jQuery.each(data.data, function (i, item) {
                                var series = chart.series.push(new am4charts.LineSeries());
                                series.dataFields.valueY = "nghenghiep" + parseInt(i + 1);
                                series.dataFields.categoryX = "month";
                                series.name = item.name;
                                series.bullets.push(new am4charts.CircleBullet());
                                series.tooltipText = "Số lượng của {name} in {categoryX}: {valueY}";
                                series.legendSettings.valueText = "{valueY}";
                                series.visible = false;

                                let hs = series.segments.template.states.create("hover")
                                hs.properties.strokeWidth = 5;
                                series.segments.template.strokeWidth = 1;
                            });

                            // Add chart cursor
                            chart.cursor = new am4charts.XYCursor();
                            chart.cursor.behavior = "zoomY";

                            // Add legend
                            chart.legend = new am4charts.Legend();
                            chart.legend.itemContainers.template.events.on("over", function (event) {
                                var segments = event.target.dataItem.dataContext.segments;
                                segments.each(function (segment) {
                                    segment.isHover = true;
                                })
                            })

                            chart.legend.itemContainers.template.events.on("out", function (event) {
                                var segments = event.target.dataItem.dataContext.segments;
                                segments.each(function (segment) {
                                    segment.isHover = false;
                                })
                            })
                            // Add scrollbar
                            chart.scrollbarX = new am4core.Scrollbar();
                        },
                        error: function (xhr, status, error) {
                            errShow(xhr);
                        }
                    });
                });
            });
        }
    </script>
</asp:Content>

